// ---------------------------------------------------------------
// PlusNode - Add left to right
// ---------------------------------------------------------------

import java.util.HashMap;
   
public class PlusNode extends BinaryNode
{
   public PlusNode(Node left, Node right)
   {
      super(left, right);
   }

   public char getSymbol() { return('+'); }

   public double evaluate(HashMap<String, Double> env) throws Exception
   {
      return(getLeft().evaluate(env) + getRight().evaluate(env));
   }
}
