// ---------------------------------------------------------------
// PowerNode: Raise left to the right power
// ---------------------------------------------------------------

import java.util.HashMap;
   
public class PowerNode extends BinaryNode
{
   public PowerNode(Node left, Node right)
   {
      super(left, right);
   }

   public char getSymbol() { return('^'); }

   public double evaluate(HashMap<String, Double> env) throws Exception
   {
      return(Math.pow(getLeft().evaluate(env), getRight().evaluate(env)));
   }
}
